import { NextFunction, Request, Response } from "express";

const authenticated = () => (
  req: Request,
  res: Response,
  next: NextFunction
) => {
  if (req.session!.user) next();
  else {
    res.status(403);
    res.json({ message: "You have to login to see this page" });
  }
};

export default authenticated;
