import { Request, Response } from "express";
import { oauth2, scope } from "../../utils/auth";

import axios from "axios";

const complete = () => async (req: Request, res: Response) => {
  const tokenConfig = {
    code: req.query.code,
    scope: scope,
    redirect_uri: "",
  };

  try {
    const token = await oauth2().authorizationCode.getToken(tokenConfig);
    await axios
      .get(
        `https://auth.sch.bme.hu/api/profile/?access_token=${token.access_token}`
      )
      .then((response) => {
        req.session!.user = {
          id: String(response.data.internal_id),
          email: String(response.data.mail),
          name: `${response.data.sn} ${response.data.givenName}`,
          token,
        };
      })
      .catch(function (error) {
        console.log(error);
      });
    res.redirect("/");
  } catch (error) {
    console.log("Access Token Error", error.message);
  }
};

export default complete;
