import { Schema } from "mongoose";

export interface IWarnings extends Document {
  text: string;
  date: Date;
  given_by: {
    _id: string;
    name: string;
  };
}

export const WarningSchema = new Schema({
  text: { type: String, required: true },
  date: { type: Date, required: true },
  given_by: {
    required: true,
    type: {
      _id: { type: String, required: true },
      name: { String, required: true },
    },
  },
});
