import { Application } from "express";
import authenticated from "../middlewares/auth/authenticated";
import complete from "../middlewares/auth/complete";
import login from "../middlewares/auth/login";
import logout from "../middlewares/auth/logout";

const authRoute = (app: Application): void => {
  app.get("/api/v1/login", login());

  app.get("/api/v1/complete", complete());

  app.get("/api/v1/logout", authenticated(), logout());
};

export default authRoute;
